Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SuggestedAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SuggestedAction

Direct Known Subclasses:
  `TdApi.SuggestedActionCheckPassword`, `TdApi.SuggestedActionCheckPhoneNumber`, `TdApi.SuggestedActionConvertToBroadcastGroup`, `TdApi.SuggestedActionEnableArchiveAndMuteNewChats`, `TdApi.SuggestedActionGiftPremiumForChristmas`, `TdApi.SuggestedActionRestorePremium`, `TdApi.SuggestedActionSetPassword`, `TdApi.SuggestedActionSubscribeToAnnualPremium`, `TdApi.SuggestedActionUpgradePremium`, `TdApi.SuggestedActionViewChecksHint`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.SuggestedAction extends TdApi.Object permits TdApi.SuggestedActionEnableArchiveAndMuteNewChats, TdApi.SuggestedActionCheckPassword, TdApi.SuggestedActionCheckPhoneNumber, TdApi.SuggestedActionViewChecksHint, TdApi.SuggestedActionConvertToBroadcastGroup, TdApi.SuggestedActionSetPassword, TdApi.SuggestedActionUpgradePremium, TdApi.SuggestedActionRestorePremium, TdApi.SuggestedActionSubscribeToAnnualPremium, TdApi.SuggestedActionGiftPremiumForChristmas
This class is an abstract base class. Describes an action suggested to the current user.

## Constructor Summary

Constructors
Constructor
Description
`SuggestedAction()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SuggestedAction

public SuggestedAction()
Default class constructor.